Hi,

In message "Re: [ruby-core:31229] [Bug #3562] regression in respond_to?"
    on Tue, 13 Jul 2010 07:22:30 +0900, Yehuda Katz <redmine / ruby-lang.org> writes:
|
|In my opinion, small breaking changes to Ruby 1.9.x (like this) are not worth the improvement in correctness. In order to encourage adoption of Ruby 1.9, we should make it easy for library authors to write a single gem that runs against 1.8 and 1.9. For the most part, this is quite simple. The similar change to const_defined? caused a headache.

I consider this change will not be merged til Ruby 2.0.  The changes
to the trunk will not be merged to 1.9.3 unless they are bug fixes or
somebody explicitly request.

							matz.